OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
btl_elan.h File Reference
`#include "ompi_config.h"`
`#include "opal/mca/event/event.h"`
`#include "ompi/class/ompi_free_list.h"`
`#include "ompi/mca/btl/btl.h"`
`#include "ompi/mca/btl/base/btl_base_error.h"`
`#include "ompi/mca/btl/base/base.h"`
`#include "btl_elan_endpoint.h"`
`#include "btl_elan_frag.h"`
`#include "elan/elan.h"`

Go to the source code of this file.

## Data Structures
struct | mca_btl_elan_component_t
| ELAN BTL component. More...
struct | mca_btl_elan_module_t
| BTL Module Interface. More...
struct | mca_btl_elan_hdr_t

## Typedefs
typedef struct mca_btl_elan_component_t | mca_btl_elan_component_t
typedef struct mca_btl_elan_module_t | mca_btl_elan_module_t
typedef struct mca_btl_elan_hdr_t | mca_btl_elan_hdr_t

## Functions
int | mca_btl_elan_component_open (void)
| Register ELAN component parameters with the MCA framework.
int | mca_btl_elan_component_close (void)
| Any final cleanup before being unloaded.
mca_btl_base_module_t ** | mca_btl_elan_component_init (int *num_btl_modules, bool allow_multi_user_threads, bool have_hidden_threads)
| ELAN component initialization. More...
int | mca_btl_elan_component_progress (void)
| ELAN component progress.
int | mca_btl_elan_finalize (struct mca_btl_base_module_t *btl)
int | mca_btl_elan_ft_event (int state)

## Variables
OMPI_MODULE_DECLSPEC mca_btl_elan_component_t | mca_btl_elan_component
mca_btl_elan_module_t | mca_btl_elan_module

## Function Documentation

mca_btl_base_module_t** mca_btl_elan_component_init | ( | int * | num_btl_modules,
|  | bool | allow_multi_user_threads,
|  | bool | have_hidden_threads
| ) |  |

ELAN component initialization.

Parameters

  num_btl_modules | (OUT) Number of BTLs returned in BTL array.
  allow_multi_user_threads | (OUT) Flag indicating wether BTL supports user threads (TRUE)
  have_hidden_threads | (OUT) Flag indicating wether BTL uses threads (TRUE)

References mca_btl_base_module_t::btl_eager_limit, mca_btl_base_module_t::btl_max_send_size, mca_btl_elan_component_t::elan_btls, mca_btl_elan_component_t::elan_free_list_inc, mca_btl_elan_component_t::elan_free_list_max, mca_btl_elan_component_t::elan_free_list_num, mca_btl_elan_component_t::elan_lock, mca_btl_elan_component_t::elan_num_btls, mca_btl_elan_module_t::elan_position, mca_btl_elan_component_t::elan_procs, OBJ_CLASS, OBJ_CONSTRUCT, ompi_modex_send(), opal_output(), mca_btl_elan_module_t::rdma_list, mca_btl_elan_module_t::send_list, mca_btl_elan_component_t::super, and mca_btl_elan_module_t::super.